/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import com.topcoder.testframework.demo.TestSimpleFilter;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Test;

/**
 * <p>
 * Unit test cases for TCFilterTestCase.
 * </p>
 *
 * <p>
 * In this test case, only simple tests are provide, for more thorough tests please see TestSimpleFilter
 * and TestDBBasedFilter.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 *
 */
public class TCFilterTestCaseTests extends TestCase {
    /**
     * <p>
     * TCFilterTestCase instance for testing.
     * </p>
     */
    private TCFilterTestCase testCase;

    /**
     * <p>
     * Setup test environment.
     * </p>
     *
     */
    protected void setUp() {
        testCase = new TestSimpleFilter("testDoFilterAllowed");
    }

    /**
     * <p>
     * Tears down test environment.
     * </p>
     *
     */
    protected void tearDown() {
        testCase = null;
    }

    /**
     * <p>
     * Return all tests.
     * </p>
     *
     * @return all tests
     */
    public static Test suite() {
        return new TestSuite(TCFilterTestCaseTests.class);
    }
    /**
     * <p>
     * Tests ctor TCFilterTestCase#TCFilterTestCase(String) for accuracy.
     * Expects a new TCFilterTestCase instance created successfully.
     * </p>
     */
    public void testCtor1() {
        assertNotNull("Failed to create new TCFilterTestCase instance.", testCase);
    }

    /**
     * <p>
     * Tests ctor TCFilterTestCase#TCFilterTestCase() for accuracy.
     * Expects a new TCFilterTestCase instance created successfully.
     * </p>
     *
     */
    public void testCtor2() {
        assertNotNull("Failed to create new TCFilterTestCase instance.", new TestSimpleFilter());
    }

    /**
     * <p>
     * Tests TCFilterTestCase#getConfig() for accuracy.
     * Trivial test. Please see TestSimpleFilter and TestDBBasedFilter for more thorough test.
     * </p>
     */
    public void testGetConfig() {
        assertNull("Expects null config.", testCase.getConfig());
    }

    /**
     * <p>
     * Tests TCFilterTestCase#getFilterChain() for accuracy.
     * Trivial test. Please see TestSimpleFilter and TestDBBasedFilter for more thorough test.
     * </p>
     */
    public void testGetFilterChain() {
        assertNull("Expects null filterChain.", testCase.getFilterChain());
    }

    /**
     * <p>
     * Tests TCFilterTestCase#getRequest() for accuracy.
     * Trivial test. Please see TestSimpleFilter and TestDBBasedFilter for more thorough test.
     * </p>
     */
    public void testGetRequest() {
        assertNull("Expects null request.", testCase.getRequest());
    }

    /**
     * <p>
     * Tests TCFilterTestCase#getResponse() for accuracy.
     * Trivial test. Please see TestSimpleFilter and TestDBBasedFilter for more thorough test.
     * </p>
     */
    public void testGetResponse() {
        assertNull("Expects null response.", testCase.getResponse());
    }

}